{
  "main": {
    "id": "e07838d6ea54323c",
    "type": "split",
    "children": [
      {
        "id": "a3e98ffcfd73caa6",
        "type": "tabs",
        "children": [
          {
            "id": "496559fb3bcdd333",
            "type": "leaf",
            "state": {
              "type": "markdown",
              "state": {
                "file": "Concurrent Systems/notes/5 - Software Transactional Memory.md",
                "mode": "source",
                "source": false
              },
              "icon": "lucide-file",
              "title": "5 - Software Transactional Memory"
            }
          }
        ]
      }
    ],
    "direction": "vertical"
  },
  "left": {
    "id": "8396ebe3c8ee8908",
    "type": "mobile-drawer",
    "children": [
      {
        "id": "1af93c9f33149d84",
        "type": "leaf",
        "state": {
          "type": "file-explorer",
          "state": {
            "sortOrder": "alphabetical",
            "autoReveal": false
          },
          "icon": "lucide-folder-closed",
          "title": "Files"
        }
      },
      {
        "id": "de92538896f1f048",
        "type": "leaf",
        "state": {
          "type": "search",
          "state": {
            "query": "",
            "matchingCase": false,
            "explainSearch": false,
            "collapseAll": false,
            "extraContext": false,
            "sortOrder": "alphabetical"
          },
          "icon": "lucide-search",
          "title": "Search"
        }
      },
      {
        "id": "3dbc0295dc4a98e8",
        "type": "leaf",
        "state": {
          "type": "tag",
          "state": {
            "sortOrder": "frequency",
            "useHierarchy": true,
            "showSearch": false,
            "searchQuery": ""
          },
          "icon": "lucide-tags",
          "title": "Tags"
        }
      },
      {
        "id": "cb9c625dae707aab",
        "type": "leaf",
        "state": {
          "type": "bookmarks",
          "state": {},
          "icon": "lucide-bookmark",
          "title": "Bookmarks"
        }
      }
    ],
    "currentTab": 0
  },
  "right": {
    "id": "de8a9e5ec695e7e6",
    "type": "mobile-drawer",
    "children": [
      {
        "id": "0b5dc041cabcc580",
        "type": "leaf",
        "state": {
          "type": "backlink",
          "state": {
            "collapseAll": false,
            "extraContext": false,
            "sortOrder": "alphabetical",
            "showSearch": false,
            "searchQuery": "",
            "backlinkCollapsed": false,
            "unlinkedCollapsed": true
          },
          "icon": "links-coming-in",
          "title": "Backlinks"
        }
      },
      {
        "id": "bf2bc873db163f4c",
        "type": "leaf",
        "state": {
          "type": "outgoing-link",
          "state": {
            "linksCollapsed": false,
            "unlinkedCollapsed": true
          },
          "icon": "links-going-out",
          "title": "Outgoing links"
        }
      },
      {
        "id": "cd927721a7be8394",
        "type": "leaf",
        "state": {
          "type": "outline",
          "state": {
            "followCursor": false,
            "showSearch": false,
            "searchQuery": ""
          },
          "icon": "lucide-list",
          "title": "Outline"
        }
      },
      {
        "id": "e108a8eae4cda88f",
        "type": "leaf",
        "state": {
          "type": "git-view",
          "state": {},
          "icon": "git-pull-request",
          "title": "Source Control"
        }
      }
    ],
    "currentTab": 3
  },
  "left-ribbon": {
    "hiddenItems": {
      "switcher:Open quick switcher": false,
      "graph:Open graph view": false,
      "canvas:Create new canvas": false,
      "daily-notes:Open today's daily note": false,
      "templates:Insert template": false,
      "command-palette:Open command palette": false,
      "obsidian-git:Open Git source control": false,
      "companion:Toggle completion": false
    }
  },
  "active": "496559fb3bcdd333",
  "lastOpenFiles": []
}